#!/bin/sh
#
# versuch project
# Primitive watcher
# warlock copyright since Nov 2005
# $Id: versuch_watcher.sh.in,v 1.2 2006/09/25 12:58:13 warlock_kg Exp $
#
# Check command-line e-mail client (mail for Sendmail)
#

#RWRCP="mail@foralert.ru"	# Recipient for alerts.  Comment out to disable
RWINT=30                        # Time in seconds between process list polls

HOMEDIR=/usr/local/versuch

check_proc()
{
 PIDS=`ps ax | grep -v grep | grep -v versuch_watcher | grep versuch | awk '{print $1}'`
 if [ "$PIDS" != "" ]; then
    COUNT=`echo $PIDS | wc -w | tr -d " "`
 else
    COUNT=0
 fi
 if [ $COUNT -lt 1 ]; then
   STAMP=`/bin/date "+%m/%d/%y %H:%M:%S"`
   ALERT="$COUNT processes.  Restarting $PROGNAME."
   if [ "$RWRCP" != "" ]; then
     echo "`basename $0`:  $ALERT" | mail -s "versuch Restarted" $RWRCP
   fi
   kill $PIDS 2>/dev/null
   export LD_LIBRARY_PATH=/work/a/ports/net/versuch/work/versuch/../pwlib/lib:/work/a/ports/net/versuch/work/versuch/../openh323/lib
#   ulimit -c unlimited
   cd $HOMEDIR
   mv log log.b
   ulimit -c unlimited
   ./versuch -t 2> log &
   sleep 5;
 fi
}

while :
do
 check_proc 
 sleep $RWINT
done

